Discussion:
Pre-release of gambas 3.8.2
(too old to reply)
Benoît Minisini
2015-10-04 14:50:05 UTC
Permalink
Hi,

I have just uploaded a pre-release of Gambas 3.8.2 at:

http://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.8.2.tar.bz2/download

You will find in it everything that was is /trunk: all the bug fixes,
and the changes, that (normally) are all backward-compatible.

The full changelog is on the wiki.

Please report if you have any problem with it. Now I am going to test it
on my Mint virtual machine.

Regards,

--
Benoît Minisini

------------------------------------------------------------------------------
Benoît Minisini
2015-10-04 19:03:27 UTC
Permalink
Le 04/10/2015 16:50, Benoît Minisini a écrit :
> Hi,
>
> I have just uploaded a pre-release of Gambas 3.8.2 at:
>
> http://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.8.2.tar.bz2/download
>
> You will find in it everything that was is /trunk: all the bug fixes,
> and the changes, that (normally) are all backward-compatible.
>
> The full changelog is on the wiki.
>
> Please report if you have any problem with it. Now I am going to test it
> on my Mint virtual machine.
>
> Regards,
>

A new package has been uploaded. The "VERSION" file was missing for a
while, and nobody noticed!

--
Benoît Minisini

------------------------------------------------------------------------------
Linus
2015-10-04 20:32:16 UTC
Permalink
Hello,

Tested last Gambas version 3.8.2 on Fedora 16.
Compiled without any problem and quickly tested a lot of projects mine and all seems to work well.

No reported any problem for the moment.

Continuing to test.


Cordialement,

Olivier Cruilles


> Le 4 oct. 2015 à 15:03, Benoît Minisini <***@users.sourceforge.net> a écrit :
>
> Le 04/10/2015 16:50, Benoît Minisini a écrit :
>> Hi,
>>
>> I have just uploaded a pre-release of Gambas 3.8.2 at:
>>
>> http://sourceforge.net/projects/gambas/files/gambas3/gambas3-3.8.2.tar.bz2/download
>>
>> You will find in it everything that was is /trunk: all the bug fixes,
>> and the changes, that (normally) are all backward-compatible.
>>
>> The full changelog is on the wiki.
>>
>> Please report if you have any problem with it. Now I am going to test it
>> on my Mint virtual machine.
>>
>> Regards,
>>
>
> A new package has been uploaded. The "VERSION" file was missing for a
> while, and nobody noticed!
>
> --
> Benoît Minisini
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gambas-user mailing list
> Gambas-***@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/gambas-user


------------------------------------------------------------------------------
Christof Thalhofer
2015-10-05 17:10:24 UTC
Permalink
Hello,

Am 04.10.2015 um 21:03 schrieb Benoît Minisini:

>> Please report if you have any problem with it. Now I am going to test it
>> on my Mint virtual machine.

I've tried Gambas-Daily from launchpad and get an error with my main
project:

"Cannot load parent class: Class 'Form' could not be loaded."

I have stripped down the project to just one form. It is attached. Also
a screenshot of the error is attached.

Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Benoît Minisini
2015-10-05 17:20:33 UTC
Permalink
Le 05/10/2015 19:10, Christof Thalhofer a écrit :
> Hello,
>
> Am 04.10.2015 um 21:03 schrieb Benoît Minisini:
>
>>> Please report if you have any problem with it. Now I am going to test it
>>> on my Mint virtual machine.
>
> I've tried Gambas-Daily from launchpad and get an error with my main
> project:
>
> "Cannot load parent class: Class 'Form' could not be loaded."
>
> I have stripped down the project to just one form. It is attached. Also
> a screenshot of the error is attached.
>
> Alles Gute
>
> Christof Thalhofer
>

Gambas daily is not Gambas 3.8.2, it's gambas daily...

--
Benoît Minisini

------------------------------------------------------------------------------
Christof Thalhofer
2015-10-05 17:36:47 UTC
Permalink
Am 05.10.2015 um 19:20 schrieb Benoît Minisini:

> Gambas daily is not Gambas 3.8.2, it's gambas daily...

I have not the environment for compilation installed on my machine,
because I usually have to develop with the latest Gambas stable, so I've
tried gambas daily ...

Please, can s.o. try the project I've attached with 3.8.2?

Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Benoît Minisini
2015-10-05 17:44:30 UTC
Permalink
Le 05/10/2015 19:36, Christof Thalhofer a écrit :
> Am 05.10.2015 um 19:20 schrieb Benoît Minisini:
>
>> Gambas daily is not Gambas 3.8.2, it's gambas daily...
>
> I have not the environment for compilation installed on my machine,
> because I usually have to develop with the latest Gambas stable, so I've
> tried gambas daily ...
>
> Please, can s.o. try the project I've attached with 3.8.2?
>
> Alles Gute
>
> Christof Thalhofer
>

It works on my system (/trunk), and I don't see why it should not write
on Gambas 3.8.2...

The very last commit may fixes some problems that could look like yours,
so please check gambas daily tomorrow or in two days, and tell me if you
still have the problem.

Regards,

--
Benoît Minisini

------------------------------------------------------------------------------
Christof Thalhofer
2015-10-05 18:03:25 UTC
Permalink
Am 05.10.2015 um 19:44 schrieb Benoît Minisini:

> It works on my system (/trunk), and I don't see why it should not write
> on Gambas 3.8.2...
>
> The very last commit may fixes some problems that could look like yours,
> so please check gambas daily tomorrow or in two days, and tell me if you
> still have the problem.

Ok, thank you, great! I will try it again tomorrow and in two days and I
will report if the error still occurs.


Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Christof Thalhofer
2015-10-06 20:02:54 UTC
Permalink
Am 05.10.2015 um 19:44 schrieb Benoît Minisini:

> The very last commit may fixes some problems that could look like yours,
> so please check gambas daily tomorrow or in two days, and tell me if you
> still have the problem.

The problem is gone. Thank you!!


Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Benoît Minisini
2015-10-06 20:38:31 UTC
Permalink
Le 06/10/2015 22:02, Christof Thalhofer a écrit :
> Am 05.10.2015 um 19:44 schrieb Benoît Minisini:
>
>> The very last commit may fixes some problems that could look like yours,
>> so please check gambas daily tomorrow or in two days, and tell me if you
>> still have the problem.
>
> The problem is gone. Thank you!!
>
>
> Alles Gute
>
> Christof Thalhofer
>

So it was was I thought, cool. I will release Gambas 3.8.2 soon.

--
Benoît Minisini

------------------------------------------------------------------------------
Christof Thalhofer
2015-10-07 07:57:10 UTC
Permalink
Am 06.10.2015 um 22:38 schrieb Benoît Minisini:

> So it was was I thought, cool. I will release Gambas 3.8.2 soon.

I found another thing with the last daily from yesterday.

I have libraries included in my main project.

After I changed a method declaration in one library, compiled it, and
then switched over to the main project, the main project did not
recognize the change and showed the old version number of the library.

I am also unable to delete the old library in the library-window.
I show you a screencast.

Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Christof Thalhofer
2015-10-07 08:28:46 UTC
Permalink
Am 07.10.2015 um 09:57 schrieb Christof Thalhofer:

> After I changed a method declaration in one library, compiled it, and
> then switched over to the main project, the main project did not
> recognize the change and showed the old version number of the library.

Sorry, I think that was my own fault, I test it again.

> I am also unable to delete the old library in the library-window.
> I show you a screencast.

But this is right and occurs also in 3.8.1


Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Charlie Reinl
2015-10-07 09:16:29 UTC
Permalink
Am Mittwoch, den 07.10.2015, 09:57 +0200 schrieb Christof Thalhofer:
> Am 06.10.2015 um 22:38 schrieb Benoît Minisini:
>
> > So it was was I thought, cool. I will release Gambas 3.8.2 soon.
>
> I found another thing with the last daily from yesterday.
>
> I have libraries included in my main project.
>
> After I changed a method declaration in one library, compiled it, and
> then switched over to the main project, the main project did not
> recognize the change and showed the old version number of the library.
>
> I am also unable to delete the old library in the library-window.
> I show you a screencast.
>
> Alles Gute
>
> Christof Thalhofer
>

Salut,

here the same, can't drop libraries

--
Amicalement
Charlie
Christof Thalhofer
2015-10-07 08:53:37 UTC
Permalink
Am 06.10.2015 um 22:38 schrieb Benoît Minisini:

> So it was was I thought, cool. I will release Gambas 3.8.2 soon.

Now I tried Gambas Stable (3.8.2-28.43~ubuntu14.04.1)
and here the Problem (Form cannot load parent Class Form) is still
present :-/

Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Christof Thalhofer
2015-10-08 05:23:03 UTC
Permalink
Good morning Benoît,

Am 06.10.2015 um 22:38 schrieb Benoît Minisini:
> Le 06/10/2015 22:02, Christof Thalhofer a écrit :
>> Am 05.10.2015 um 19:44 schrieb Benoît Minisini:
>>
>>> The very last commit may fixes some problems that could look like yours,
>>> so please check gambas daily tomorrow or in two days, and tell me if you
>>> still have the problem.
>>
>> The problem is gone. Thank you!!
>
> So it was was I thought, cool. I will release Gambas 3.8.2 soon.

Maybe you did not notice:

The problem was gone in the last Gambas daily. But now in stable it
still occurs. I am not able to open my project with Gambas stable from
Launchpad. There is the same error: "Form cannot load parent Class Form".


Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Benoît Minisini
2015-10-08 10:53:42 UTC
Permalink
Le 08/10/2015 07:23, Christof Thalhofer a écrit :
>
> Maybe you did not notice:
>
> The problem was gone in the last Gambas daily. But now in stable it
> still occurs. I am not able to open my project with Gambas stable from
> Launchpad. There is the same error: "Form cannot load parent Class Form".
>
>
> Alles Gute
>
> Christof Thalhofer
>

At the moment, you are the only one that report such a problem.

--
Benoît Minisini

------------------------------------------------------------------------------
Christof Thalhofer
2015-10-08 14:47:11 UTC
Permalink
Am 08.10.2015 um 12:53 schrieb Benoît Minisini:

> At the moment, you are the only one that report such a problem.
>

Ah, I was alone just three hours :-)
Bug 801

I sent a project to the Mailinglist which triggers the error. And again,
the last daily I downloaded from Launchpad (short before 6.10.2015 -
22:00) was free of it.

But the actual stable has it again.

Maybe you can find it by diff ...

Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Benoît Minisini
2015-10-08 14:57:14 UTC
Permalink
Le 08/10/2015 16:47, Christof Thalhofer a écrit :
> Am 08.10.2015 um 12:53 schrieb Benoît Minisini:
>
>> At the moment, you are the only one that report such a problem.
>>
>
> Ah, I was alone just three hours :-)
> Bug 801
>
> I sent a project to the Mailinglist which triggers the error. And again,
> the last daily I downloaded from Launchpad (short before 6.10.2015 -
> 22:00) was free of it.
>
> But the actual stable has it again.
>
> Maybe you can find it by diff ...
>
> Alles Gute
>
> Christof Thalhofer
>

I see: you have to recompile the project, because the ".startup" file
has been corrupted by a bad VERSION file located in the sources.

But all current sources (/tags/3.8.2, /branches/3.8, /trunk) has a
correct VERSION file.

So can you reproduce that corruption (i.e. that error message) now with
a project and the 3.8.2 version?

--
Benoît Minisini

------------------------------------------------------------------------------
Christof Thalhofer
2015-10-08 15:16:07 UTC
Permalink
Am 08.10.2015 um 16:57 schrieb Benoît Minisini:

> I see: you have to recompile the project, because the ".startup" file
> has been corrupted by a bad VERSION file located in the sources.
>
> But all current sources (/tags/3.8.2, /branches/3.8, /trunk) has a
> correct VERSION file.
>
> So can you reproduce that corruption (i.e. that error message) now with
> a project and the 3.8.2 version?

I have this option switched on (do not know the sentence in english)

"fetch version from file"

Because I increment version-number automatically at deployment outside
Gambas IDE.

When I switch it off, the project starts up without error. In startup
stands (the first lines):

FMain
Deganius Datenbank
0
0
0.1.90


Alles Gute

Christof Thalhofer

--
Dies ist keine Signatur
Sebastian Kulesz
2015-10-08 15:37:02 UTC
Permalink
Benoit, was that problemas fixed un revision 7398? Because the stable
release does not include that commit, as the release was done before.
Should I include it?

On Thu, Oct 8, 2015, 12:16 Christof Thalhofer <***@deganius.de> wrote:

> Am 08.10.2015 um 16:57 schrieb Benoît Minisini:
>
> > I see: you have to recompile the project, because the ".startup" file
> > has been corrupted by a bad VERSION file located in the sources.
> >
> > But all current sources (/tags/3.8.2, /branches/3.8, /trunk) has a
> > correct VERSION file.
> >
> > So can you reproduce that corruption (i.e. that error message) now with
> > a project and the 3.8.2 version?
>
> I have this option switched on (do not know the sentence in english)
>
> "fetch version from file"
>
> Because I increment version-number automatically at deployment outside
> Gambas IDE.
>
> When I switch it off, the project starts up without error. In startup
> stands (the first lines):
>
> FMain
> Deganius Datenbank
> 0
> 0
> 0.1.90
>
>
> Alles Gute
>
> Christof Thalhofer
>
> --
> Dies ist keine Signatur
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gambas-user mailing list
> Gambas-***@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/gambas-user
>
------------------------------------------------------------------------------
Benoît Minisini
2015-10-08 15:45:25 UTC
Permalink
Le 08/10/2015 17:37, Sebastian Kulesz a écrit :
> Benoit, was that problemas fixed un revision 7398? Because the stable
> release does not include that commit, as the release was done before.
> Should I include it?
>

AFAIK, you are not concerned by these commits, as the packages you make
are generated from the subversion repository, not from the source
archives. Do you?

--
Benoît Minisini

------------------------------------------------------------------------------
Sebastian Kulesz
2015-10-08 16:32:17 UTC
Permalink
Yes, the packages are generated using the /branches/3.8/ svn repository.
But commits are not included automatically as they are pushed, I must
manually select which commit should be built and packaged. That's why I'm
asking if that last commit should be the one used to build the stable
packages, or if it's okay to use the previous one, asi it is now.

On Thu, Oct 8, 2015, 12:46 Benoît Minisini <***@users.sourceforge.net>
wrote:

> Le 08/10/2015 17:37, Sebastian Kulesz a écrit :
> > Benoit, was that problemas fixed un revision 7398? Because the stable
> > release does not include that commit, as the release was done before.
> > Should I include it?
> >
>
> AFAIK, you are not concerned by these commits, as the packages you make
> are generated from the subversion repository, not from the source
> archives. Do you?
>
> --
> Benoît Minisini
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gambas-user mailing list
> Gambas-***@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/gambas-user
>
------------------------------------------------------------------------------
Continue reading on narkive:
Loading...